Sql Server Instances - Delete
Deletes a SQL Server Instance resource
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/sqlServerInstances/{sqlServerInstanceName}?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The name of the Azure resource group |
|
sql
|
path | True |
string |
Name of SQL Server Instance |
|
subscription
|
path | True |
string |
The ID of the Azure subscription |
|
api-version
|
query | True |
string |
The API version to use for the request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully deleted the SQL Server Instance. |
|
| 202 Accepted |
Resource deletion is in progress. |
|
| 204 No Content |
The specified SQL Server Instance does not exist. |
|
| Other Status Codes |
*** Error Responses: *** |
Examples
Delete a SQL Server Instance.
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerInstances/testsqlServerInstance?api-version=2026-01-01
Sample response
azure-AsyncOperation: http://azure.async.operation/status
azure-AsyncOperation: http://azure.async.operation/status
azure-AsyncOperation: http://azure.async.operation/status
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |